#
# spec file for package mdomo (Version 1.94.5)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         mdomo
Copyright:    1992-1995 D. Brent Chapman, John P. Rouillard
Group:        Applications/Internet
Provides:     majordomo
Summary:      Majordomo
Autoreqprov:  on
Version:      1.94.5
Release:      266
Source: 	majordomo-%{version}.tar.gz
Patch0:		majordomo-%{version}.SuSE.diff
Patch1:		majordomo-%{version}.hostile_adress.patch

%description
This is your majordomo. Provides an easy to configure means of
maintaining mailing lists including user-administration.

Authors:
--------
    D. Brent Chapman <Brent@GreatCircle.COM>
    Alan Millar <amillar@bolis.sf-bay.org>
    Paul Haas <paulh@hamjudo.mi.org>
    Jon Luini <jon@luini.com>
    John P. Rouillard <rouilj@dstar.iddis.com>

SuSE series: n

%prep
%setup -n majordomo-%{version}
%patch
%patch -P 1

%build
make wrapper

%install
mkdir -p -m 755 /var/lib/majordomo{,/lists,/archive,/digest,/tmp}
touch /var/lib/majordomo/Log
chmod 660 /var/lib/majordomo/Log
chown mdom.mdom -R /var/lib/majordomo
make MAN=%{_mandir} install install-wrapper
mv README README.majordomo
gzip -f %{_mandir}/man1/approve.1
gzip -f %{_mandir}/man1/bounce-remind.1
gzip -f %{_mandir}/man1/bounce.1
gzip -f %{_mandir}/man1/digest.1
gzip -f %{_mandir}/man1/resend.1
gzip -f %{_mandir}/man8/majordomo.8

%files
%doc README.majordomo README.linux
%doc FUTURE INSTALL NEWLIST NEWS Doc/{[FRdflq]*,maj*}
%dir /usr/lib/majordomo/Tools
%dir /var/lib/majordomo
%dir /var/lib/majordomo/archive
%dir /var/lib/majordomo/digest
%dir /var/lib/majordomo/lists
%dir /var/lib/majordomo/tmp
%config /etc/majordomo.cf
/usr/bin/approve
/usr/bin/bounce
/usr/bin/medit
/usr/lib/majordomo/Tools/archive.pl
/usr/lib/majordomo/Tools/archive_mh.pl
/usr/lib/majordomo/Tools/digest.send
/usr/lib/majordomo/Tools/logsummary.pl
/usr/lib/majordomo/Tools/makeindex.pl
/usr/lib/majordomo/Tools/new-list
/usr/lib/majordomo/Tools/sequencer
/usr/lib/majordomo/archive2.pl
/usr/lib/majordomo/bounce-remind
/usr/lib/majordomo/config-test
/usr/lib/majordomo/config_parse.pl
/usr/lib/majordomo/digest
/usr/lib/majordomo/majordomo
/usr/lib/majordomo/majordomo.pl
/usr/lib/majordomo/majordomo_version.pl
/usr/lib/majordomo/request-answer
/usr/lib/majordomo/resend
/usr/lib/majordomo/sample.cf
/usr/lib/majordomo/shlock.pl
/usr/lib/majordomo/wrapper
%doc %{_mandir}/man1/approve.1.gz
%doc %{_mandir}/man1/bounce-remind.1.gz
%doc %{_mandir}/man1/bounce.1.gz
%doc %{_mandir}/man1/digest.1.gz
%doc %{_mandir}/man1/resend.1.gz
%doc %{_mandir}/man8/majordomo.8.gz
/var/lib/majordomo/Log

%changelog -n mdomo
* Tue Oct 31 2000 - ma@suse.de
- removed group unsorted
* Tue May 30 2000 - ro@suse.de
- doc relocation
* Thu Mar 02 2000 - ma@suse.de
- use %%{_mandir}
* Fri Jan 21 2000 - ma@suse.de
- update to 1.94.5
  Security and bugfix release, incorporating changes which fix
  problems or correct pressing deficiencies in version 1.94.4.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Jul 19 1999 - florian@suse.de
- create dirs with 0755 perms and not 0775
- add jurix patches
* Wed Aug 19 1998 - florian@suse.de
- make /etc/majordomo.cf a %%config
* Fri Oct 10 1997 - florian@suse.de
- update to 1.94.4
* Mon Jul 07 1997 - florian@suse.de
- update to 1.94.3
- tmp files are now in /var/lib/majordomo/tmp
- utilities for the sysadm of mailing lists are now in /usr/bin/
* Thu Jan 02 1997 - florian@suse.de
- update to version 1.94
* Thu Jan 02 1997 - florian@suse.de
  configuration file sample.cf is now correct for perl5
  mv /local/majordomo /usr/lib/majordomo
  mv /local/lists /var/lib/majordomo
  more docu in /usr/doc/packages/majordomo
  people updating from 4.2 to 4.3 should change /etc/passwd to have
  the home dir for user mdomo in /usr/lib/majordomo instead of
  /local/majordomo
